# List phone numbers

Returns phone numbers.

```http
GET https://api.pozy.ai/v1/phone-numbers
```

- Area: Phone & voice / Phone Numbers
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `status` (string): one of provisioning, verifying, pending_payment, pending_regulatory, regulatory_declined, active, suspended, releasing, released
- `profileId` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/phone-numbers" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/phone-numbers", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/phone-numbers",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `numbers`, array of object
  - `_id`, string
  - `phoneNumber`, string
  - `country`, string
  - `numberType`, string
  - `status`, string: One of `pending_payment`, `pending_regulatory`, `regulatory_declined`, `provisioning`, `verifying`, `active`, `suspended`, `releasing`, `released`
  - `profileId`, object or string
    - one of: Option 1
      - `_id`, string
      - `name`, string: Can be null
    - one of: string
  - `createdAt`, string (date-time)
  - `updatedAt`, string (date-time)
  - `carrierOrderId`, string: Can be null
  - `carrierAdvancedOrderId`, string
  - `registrantName`, string: Can be null
  - `endUserFirstName`, string: Can be null
  - `endUserLastName`, string: Can be null
  - `regulatoryDeclineReason`, string: Can be null
  - `regulatoryReviewComment`, string
  - `regulatoryInfoStatus`, string
  - `identityVerificationUrl`, string: Can be null
  - `verifyUrl`, string: Can be null
  - `identityVerificationOpened`, boolean
  - `metaPreverifiedId`, string
  - `metaVerificationStatus`, string: One of `pending`, `code_requested`, `verified`, `expired`
  - `metaVerifiedAt`, string (date-time)
  - `metaVerificationExpiresAt`, string (date-time)
  - `metaPoolAddRejectedAt`, string (date-time)
  - `socialAccountId`, string: Can be null
  - `ownerAccountId`, string: Can be null
  - `sipTrunkId`, string: Can be null
  - `whatsAppRequested`, boolean
  - `smsRequested`, boolean
  - `provisionedAt`, string (date-time)
  - `activatedAt`, string (date-time)
  - `connectedAt`, string (date-time)
  - `suspendedAt`, string (date-time)
  - `releasedAt`, string (date-time)
  - `signupError`, string
  - `signupErrorAt`, string (date-time)
  - `signupErrorStep`, string
  - `monthlyCents`, integer
  - `hostedByPozy`, boolean
  - `smsCapable`, boolean
  - `mmsCapable`, boolean
  - `domesticOnly`, boolean
  - `smsRegistrationPending`, boolean
  - `smsSendApproved`, boolean
  - `smsBrandName`, string: Can be null
  - `features`, object
    - `calls`, boolean
    - `whatsapp`, boolean
    - `smsPending`, boolean
  - `callingEnabled`, boolean
  - `forwardTo`, string
  - `sipAuthUsername`, string
  - `callerIdVerifiedAt`, string (date-time)
  - `maxCallDurationSeconds`, integer
  - `recordingEnabled`, boolean
  - `transcriptionEnabled`, boolean
  - `transcriptionLanguage`, string: One of `auto`, `en`, `es`
  - `callIconCountries`, array of string
  - `forwardCallerId`, string: One of `business`, `caller`
  - `pstnVoiceEnabled`, boolean
  - `pstnForwardTo`, string
  - `voicemailEnabled`, boolean
  - `voicemailGreeting`, string
  - `businessHoursEnabled`, boolean
  - `businessHoursTimezone`, string
  - `businessHours`, array of object
    - `day`, integer
    - `open`, string
    - `close`, string
  - `blockedCallers`, array of string
  - `ivrEnabled`, boolean
  - `ivrPrompt`, string
  - `ivrOptions`, array of object
    - `digit`, string
    - `forwardTo`, string
    - `label`, string
- `connected`, array of object
  - `accountId`, string
  - `phoneNumber`, string: Can be null
  - `displayName`, string: Can be null
  - `profileId`, string: Can be null
  - `connectedAt`, string (date-time): Can be null
  - `callingEnabled`, boolean
- `imessage`, array of object
  - `id`, string
  - `kind`, string: One of `phone`, `email`
  - `region`, string: One of `US`, `GB`. Can be null
  - `handle`, string: Can be null
  - `optInLink`, string: Can be null
  - `status`, string: One of `ordering`, `awaiting_payment`, `activating`, `active`, `suspended`, `canceled`, `failed`
  - `priceCents`, integer
  - `provider`, string
  - `profileId`, string
  - `displayName`, string: Can be null
  - `failureReason`, string: Can be null
  - `accountId`, string: Can be null
  - `createdAt`, string (date-time)
- `sandbox`, object: Can be null
  - `phoneNumber`, string
  - `accountId`, string: Can be null
  - `template`, object
    - `name`, string
    - `language`, string
  - `isSandbox`, boolean

```json
{
  "numbers": [
    {
      "_id": "635d87e261ae344ef27fd1df",
      "phoneNumber": "+14155550123",
      "country": "US",
      "numberType": "string",
      "status": "pending_payment",
      "profileId": {
        "_id": "635d87e261ae344ef27fd1df",
        "name": "Acme"
      },
      "createdAt": "2026-10-02T09:00:00.000Z",
      "updatedAt": "2026-10-02T09:00:00.000Z",
      "carrierOrderId": "6f9ea00d86b341f8430df722",
      "carrierAdvancedOrderId": "64664f75e6129fe78272e793",
      "registrantName": "Acme",
      "endUserFirstName": "Acme",
      "endUserLastName": "Acme",
      "regulatoryDeclineReason": "string",
      "regulatoryReviewComment": "string",
      "regulatoryInfoStatus": "active",
      "identityVerificationUrl": "https://pozy.ai/media/example-1.jpg",
      "verifyUrl": "https://pozy.ai/media/example-1.jpg",
      "identityVerificationOpened": true,
      "metaPreverifiedId": "608441ffe00bbbbd4b634fe0",
      "metaVerificationStatus": "pending",
      "metaVerifiedAt": "2026-10-02T09:00:00.000Z",
      "metaVerificationExpiresAt": "2026-10-02T09:00:00.000Z",
      "metaPoolAddRejectedAt": "2026-10-02T09:00:00.000Z",
      "socialAccountId": "6036fffd51dad00a2702955c",
      "ownerAccountId": "60f3dbe08e084dbe9b5f007c",
      "sipTrunkId": "64a65f5550725a070e2afc75",
      "whatsAppRequested": true,
      "smsRequested": true,
      "provisionedAt": "2026-10-02T09:00:00.000Z",
      "activatedAt": "2026-10-02T09:00:00.000Z",
      "connectedAt": "2026-10-02T09:00:00.000Z",
      "suspendedAt": "2026-10-02T09:00:00.000Z",
      "releasedAt": "2026-10-02T09:00:00.000Z",
      "signupError": "string",
      "signupErrorAt": "2026-10-02T09:00:00.000Z",
      "signupErrorStep": "string",
      "monthlyCents": 1,
      "hostedByPozy": true,
      "smsCapable": true,
      "mmsCapable": true,
      "domesticOnly": true,
      "smsRegistrationPending": true,
      "smsSendApproved": true,
      "smsBrandName": "Acme",
      "features": {
        "calls": true,
        "whatsapp": true,
        "smsPending": true
      },
      "callingEnabled": true,
      "forwardTo": "string",
      "sipAuthUsername": "acme",
      "callerIdVerifiedAt": "2026-10-02T09:00:00.000Z",
      "maxCallDurationSeconds": 1,
      "recordingEnabled": true,
      "transcriptionEnabled": true,
      "transcriptionLanguage": "auto",
      "callIconCountries": [
        "string"
      ],
      "forwardCallerId": "business",
      "pstnVoiceEnabled": true,
      "pstnForwardTo": "string",
      "voicemailEnabled": true,
      "voicemailGreeting": "alex@example.com",
      "businessHoursEnabled": true,
      "businessHoursTimezone": "string",
      "businessHours": [
        {
          "day": 1,
          "open": "string",
          "close": "string"
        }
      ],
      "blockedCallers": [
        "string"
      ],
      "ivrEnabled": true,
      "ivrPrompt": "string",
      "ivrOptions": [
        {
          "digit": "string",
          "forwardTo": "string",
          "label": "string"
        }
      ]
    }
  ],
  "connected": [
    {
      "accountId": "696e0b682d0a31188e7a2ba9",
      "phoneNumber": "+14155550123",
      "displayName": "Acme",
      "profileId": "6a0b6573846efc28aaa9a3ff",
      "connectedAt": "2026-10-02T09:00:00.000Z",
      "callingEnabled": true
    }
  ],
  "imessage": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "kind": "phone",
      "region": "US",
      "handle": "acme",
      "optInLink": "string",
      "status": "ordering",
      "priceCents": 1,
      "provider": "string",
      "profileId": "6a0b6573846efc28aaa9a3ff",
      "displayName": "Acme",
      "failureReason": "string",
      "accountId": "696e0b682d0a31188e7a2ba9",
      "createdAt": "2026-10-02T09:00:00.000Z"
    }
  ],
  "sandbox": {
    "phoneNumber": "+14155550123",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "template": {
      "name": "Acme",
      "language": "en"
    },
    "isSandbox": true
  }
}
```
